%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Summary: Simple and flexible issue-tracking system
Name: roundup
Version: 1.4.4
Release: 1%{dist}
License: MIT
Group: Applications/Engineering
Source: http://pypi.python.org/packages/source/r/%{name}/%{name}-%{version}.tar.gz
Source1: roundup.conf
Source2: roundup
Source3: README.Fedora
Patch0: roundup-setup.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
BuildRequires: python-devel
URL: http://roundup.sourceforge.net/
Requires: python-sqlite2
Requires(post): /sbin/chkconfig
Requires(post): /sbin/service
Requires(preun): /sbin/chkconfig
Requires(preun): /sbin/service

%description
Roundup is a simple and flexible issue-tracking system with command line,
web and email interfaces.  It is based on the winning design from Ka-Ping
Yee in the Software Carpentry "Track" design competition.

%prep
%setup -q
%patch0 -p1

mv locale/ru.po locale/ru-koi8.po
iconv -f koi8-r -t utf-8 locale/ru-koi8.po | sed -e 's|Content-Type: text/plain; charset=koi8-r|Content-Type: text/plain; charset=utf-8|' > locale/ru.po
rm -f locale/ru-koi8.po

install -pm 644 %{SOURCE3} .

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --root $RPM_BUILD_ROOT
install -p -D -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/roundup.conf
install -p -D -m 755 %{SOURCE2} $RPM_BUILD_ROOT%{_initrddir}/roundup
%find_lang %{name}

%post
useradd -M -r -d /var/lib/roundup -s /sbin/nologin -c "Roundup Issue Tracker" roundup > /dev/null 2>&1 || :
if [ ! -d /var/lib/roundup ]; then
	install -d /var/lib/roundup/trackers/default/db > /dev/null 2>&1
	install -d /var/lib/roundup/trackers/default/db/files -m 2770 -o root -g roundup > /dev/null 2>&1

	# Create Roundup configuration.
	roundup-admin -i /var/lib/roundup/trackers/default install classic sqlite > /dev/null 2>&1
fi
/sbin/chkconfig --add roundup >/dev/null 2>&1
if [ "$1" -ge "1" ]; then
	/sbin/service roundup condrestart >/dev/null 2>&1
fi

%preun
if [ $1 = 0 ]; then
	/sbin/service roundup stop > /dev/null 2>&1
	/sbin/chkconfig --del roundup >/dev/null 2>&1
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%{_bindir}/*
%{python_sitelib}/*
%{_datadir}/roundup/*
%{_mandir}/man1/*
%defattr(-,root,root)
%config(noreplace) %{_initrddir}/roundup
%config(noreplace) %{_sysconfdir}/httpd/conf.d/*.conf

%doc README.Fedora COPYING.txt

%changelog
* Fri Mar  7 2008 Paul P. Komkoff Jr <i@stingr.net> - 1.4.4-1
- new upstream version with security fixes (bz#436546)

* Wed Feb 20 2008 Paul P. Komkoff Jr <i@stingr.net> - 1.4.1-2
- new upstream version

* Wed Jan 23 2008 Paul P. Komkoff Jr <i@stingr.net> - 1.4.1-1
- new upstream version

* Thu Jul 19 2007 Paul P. Komkoff Jr <i@stingr.net> - 1.3.3-2
- add dist tag

* Sun Jul  8 2007 Paul P. Komkoff Jr <i@stingr.net> - 1.3.3-1
   - new upstream version 1.3.3
   - convert russian locale to utf-8
   - use sqlite database for default tracker instead of mysql

* Thu Sep 07 2006 W. Michael Petullo <mike[@]flyn.org> - 0.8.4-10
   - Rebuild for Fedora Extras 6.
   - Rebuild noarch.

* Thu Aug 24 2006 Ville Skyttä <ville.skytta at iki.fi> - 0.8.4-9
   - Fix doc permissions (#200845).

* Fri Feb 17 2006 W. Michael Petullo <mike[@]flyn.org> - 0.8.4-7
   - Rebuild for Fedora Extras 5.

* Sat Sep 17 2005 W. Michael Petullo <mike[@]flyn.org> - 0.8.4-6
   - Fix installation of Python modules on x86_64.

* Sun Sep 05 2005 W. Michael Petullo <mike[@]flyn.org> - 0.8.4-5
   - No longer use setup.py's --record feature.
   - Really fix init script.
   - %{_mandir}/man1/* instead of %{_mandir}/*.

* Sun Sep 05 2005 W. Michael Petullo <mike[@]flyn.org> - 0.8.4-4
   - Put man pages in /usr/share/man.
   - Use a shorter summary.
   - Do not enable service by default.
   - Include license in installed files.
   - Restart service if needed after upgrade.
   - Use %{find_lang}.
   - Tag %{_initrddir}/roundup as %config(noreplace).

* Sun Aug 14 2005 W. Michael Petullo <mike[@]flyn.org> - 0.8.4-3
   - Do not use useradd's -o option.

* Thu Aug 11 2005 W. Michael Petullo <mike[@]flyn.org> - 0.8.4-2
   - Set GID roundup will use from startup script.
   - Set proper permissions on db/files.
   - Change Source URL.
   - Use %{SOURCE1}, %{SOURCE2}, ...
   - Use install's -p switch.
   - Don't hardcode useradd UID.
   - Scriptlets no longer output anything.
   - Don't delete user in postun.
   - Use %{_initrddir}.
   - Only stop service if uninstalling.

* Sun Aug 07 2005 W. Michael Petullo <mike[@]flyn.org> - 0.8.4-1
   - Stop roundup service after uninstalling.
   - New upstream version.

* Tue Jul 26 2005 W. Michael Petullo <mike[@]flyn.org> - 0.8.3-2
   - Use proxy feature to increase performance.
   - Print better instructions after installing.

* Tue Jun 28 2005 W. Michael Petullo <mike[@]flyn.org> - 0.8.3-1
   - Initial package for Fedora Extras.
